
IF(WIN32)
	INCLUDE("${CMAKE_CURRENT_LIST_DIR}/common.win32.cmake")
ELSE()
	INCLUDE("${CMAKE_CURRENT_LIST_DIR}/common.unix.cmake")
ENDIF()

MESSAGE(STATUS "ZLIB_ROOT=${ZLIB_ROOT}")
FIND_PACKAGE(ZLIB)

IF(ZLIB_FOUND)
	MESSAGE(STATUS "ZLIB_INCLUDE_DIRS=${ZLIB_INCLUDE_DIRS}")
	MESSAGE(STATUS "ZLIB_LIBRARIES=${ZLIB_LIBRARIES} => ZLIB::ZLIB")
	SET(ZLIB_LIBRARIES "ZLIB::ZLIB")
	SET_PROPERTY(DIRECTORY APPEND PROPERTY COMPILE_DEFINITIONS "NLIB_HAS_ZLIB")
ELSE()
	MESSAGE(STATUS "ZLIB not found, ZlibInputStream and ZlibOutputStream not available")
	IF(WIN32)
		MESSAGE(STATUS "setup-msvc-libraries.sh can setup zlib for windows")
	ENDIF()
	SET_PROPERTY(DIRECTORY APPEND PROPERTY COMPILE_DEFINITIONS "NLIB_NO_ZLIB")
ENDIF()

FIND_PACKAGE(CURL)
IF(CURL_FOUND)
	MESSAGE(STATUS "CURL_INCLUDE_DIRS=${CURL_INCLUDE_DIRS}")
	MESSAGE(STATUS "CURL_LIBRARIES=${CURL_LIBRARIES}")
	SET_PROPERTY(DIRECTORY APPEND PROPERTY COMPILE_DEFINITIONS "NLIB_HAS_LIBCURL")
ELSE()
	MESSAGE(STATUS "libcurl not found, CurlInputStream not available")
	IF(WIN32)
		MESSAGE(STATUS "setup-msvc-libraries.sh can setup libcurl for windows")
	ENDIF()
ENDIF()

FIND_PACKAGE(LIBXML2)
IF(LIBXML2_FOUND)
	MESSAGE(STATUS "LIBXML2_INCLUDE_DIR=${LIBXML2_INCLUDE_DIR}")
	MESSAGE(STATUS "LIBXML2_LIBRARIES=${LIBXML2_LIBRARIES}")
	SET_PROPERTY(DIRECTORY APPEND PROPERTY COMPILE_DEFINITIONS "NLIB_HAS_LIBXML2")
ENDIF()

