﻿
/*--------------------------------------------------------------------------------*
  Project: CrossRoad
  Copyright (C)Nintendo All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *--------------------------------------------------------------------------------*/

#pragma once
#ifndef INCLUDE_NN_NLIB_CONFIG_CTR_H_
#define INCLUDE_NN_NLIB_CONFIG_CTR_H_
#ifndef INCLUDE_NN_NLIB_CONFIG_H_
# error do not include directly
#endif

#ifdef NN_PLATFORM_CTR

#include "nn/assert.h" // NOLINT for NN_ASSERT

extern bool nlib_init_ctrsample(bool useFs);
extern void nlib_terminate_ctrsample();

#ifdef NLIB_CTR_SAMPLE_USEFILE
# define NLIB_CTR_SAMPLE_INIT_ARG true
#else
# define NLIB_CTR_SAMPLE_INIT_ARG false
#endif

#define NLIB_PATHMAPPER_FORSAMPLE \
    nlib_ns::NativePathMapper g_pathmapper; \
    nlib_ns::NativePathMapper& g_PathMapper = g_pathmapper; \
    inline void InitPathMapperForSample() { \
        g_pathmapper.AddMap("rom:/", "nlibpath:///readonly/"); \
        g_pathmapper.AddMap("sdmc:/", "nlibpath:///readwrite/"); \
    }

#define NLIB_MAINFUNC \
extern "C" void nnMain() { \
    if (!nlib_init_ctrsample(NLIB_CTR_SAMPLE_INIT_ARG)) return; \
    bool result = SampleMain(0, NULL); \
    nlib_printf(result ? "OK\n" : "NG\n"); \
    nlib_terminate_ctrsample(); \
}

#define NLIB_ASSERT NN_ASSERT
#define NLIB_ASSERT_NOERR(e) NN_ASSERTMSG(((e) == 0), "%s", nlib_error_string(e))

#define NLIB_ALIGNAS(x) __align(x)
#define NLIB_ALIGNOF(tp) __alignof__(tp)

#ifdef NLIB_UNUSED
#undef NLIB_UNUSED
#endif
template<class T> inline void nlib_unused_(const T&) {}
#define NLIB_UNUSED(x) ::nlib_unused_(x)

#define NLIB_HAS_VIRTUALMEMORY

#define NLIB_OVERRIDE_NEW \
    static void* operator new(size_t size) throw(std::bad_alloc); \
    static void operator delete(void* ptr) throw(); \
    static void* operator new(size_t size, void* ptr) throw(); \
    static void* operator new(size_t size, const std::nothrow_t& nt) throw()

#define NLIB_OVERRIDE_NEW_LIBNEW_CPP(type) \
    void* type::operator new(size_t size) throw(std::bad_alloc) { return ::operator new(size); } \
    void type::operator delete(void* ptr) throw() { ::operator delete(ptr); } \
    void* type::operator new(size_t size, void* ptr) throw() { \
        return ::operator new(size, ptr); \
    } \
    void* type::operator new(size_t size, const std::nothrow_t& nt) throw() { \
        return ::operator new(size, nt); \
    }

#endif
#endif  // INCLUDE_NN_NLIB_CONFIG_CTR_H_
