﻿
/*--------------------------------------------------------------------------------*
  Project: CrossRoad
  Copyright (C)Nintendo All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *--------------------------------------------------------------------------------*/

#pragma once
#ifndef INCLUDE_NN_NLIB_CONFIG_CYGWIN_H_
#define INCLUDE_NN_NLIB_CONFIG_CYGWIN_H_
#ifndef INCLUDE_NN_NLIB_CONFIG_H_
# error do not include directly
#endif

#if defined(__CYGWIN__)
# if defined(__clang__)
#  include "nn/nlib/Config_clang.h"
# elif defined(__GNUC__)
#  include "nn/nlib/Config_gcc.h"
# else
#  error
# endif
# define NLIB_HAS_VIRTUALMEMORY
#endif

#define NLIB_PATHMAPPER_FORSAMPLE \
    extern "C" ssize_t readlink(const char *path, char *buf, size_t bufsiz); \
    extern "C" char *getcwd(char *buf, size_t size);                \
    nlib_ns::NativePathMapper g_pathmapper;                         \
    nlib_ns::NativePathMapper& g_PathMapper = g_pathmapper;         \
    inline void InitPathMapperForSample() {                         \
        char dir[1024];                                             \
        ssize_t cnt = readlink("/proc/self/exe", dir, 1024);        \
        if (cnt == -1) {                                            \
            char* cwd = getcwd(dir, 1024);                          \
            if (cwd) {                                              \
                g_pathmapper.AddMap(cwd, "nlibpath:///readonly/");  \
                g_pathmapper.AddMap(cwd, "nlibpath:///readwrite/"); \
            }                                                       \
        } else {                                                    \
            dir[cnt] = '\0';                                        \
            *const_cast<char*>(nlib_strrchr(dir, '/')) = '\0';      \
            g_pathmapper.AddMap(dir, "nlibpath:///readonly/");      \
            g_pathmapper.AddMap(dir, "nlibpath:///readwrite/");     \
        }                                                           \
    }

#define NLIB_MAINFUNC int main(int argc, char** argv) { \
    bool result = SampleMain(argc, argv); nlib_printf(result ? "OK\n" : "NG\n"); \
    return result ? 0 : 1; }

#define NLIB_THREAD_EXIT_CPP_THROW_NLIB_EXCEPTION
#ifdef __cpp_exceptions
#undef nlib_thread_cleanup_push
#undef nlib_thread_cleanup_pop
#define nlib_thread_cleanup_push(fn, arg) pthread_cleanup_push(fn, arg); try {
#define nlib_thread_cleanup_pop(exec) } catch(...) { { pthread_cleanup_pop(1) throw; } \
        pthread_cleanup_pop(exec)
#endif

#endif  // INCLUDE_NN_NLIB_CONFIG_CYGWIN_H_
