﻿
/*--------------------------------------------------------------------------------*
  Project: CrossRoad
  Copyright (C)Nintendo All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *--------------------------------------------------------------------------------*/

#pragma once
#ifndef INCLUDE_NN_NLIB_PLATFORM_RENAME_H_
#define INCLUDE_NN_NLIB_PLATFORM_RENAME_H_

#ifndef INCLUDE_NN_NLIB_PLATFORM_H_
#error Do not include this file directly
#endif

#ifndef NLIB_CFUNC_PREFIX
# define NLIB_CFUNC_PREFIX mypfx
#endif
#ifndef NLIB_CAPI
# define NLIB_CAPI__(p, q) p ## q
# define NLIB_CAPI_(p, q) NLIB_CAPI__(p, q)
# define NLIB_CAPI(x) NLIB_CAPI_(NLIB_CFUNC_PREFIX, x)
#endif

#define nlib_error_string NLIB_CAPI(nlib_error_string)
#define nlib_get_native_last_error NLIB_CAPI(nlib_get_native_last_error)
#define nlib_getversion NLIB_CAPI(nlib_getversion)
#define nlib_compiler_version NLIB_CAPI(nlib_compiler_version)
#define nlib_crc32 NLIB_CAPI(nlib_crc32)
#define nlib_crc32c NLIB_CAPI(nlib_crc32c)
#define nlib_epochtime NLIB_CAPI(nlib_epochtime)
#define nlib_ticktime NLIB_CAPI(nlib_ticktime)
#define nlib_sleep NLIB_CAPI(nlib_sleep)
#define nlib_timer_create NLIB_CAPI(nlib_timer_create)
#define nlib_timer_settime NLIB_CAPI(nlib_timer_settime)
#define nlib_timer_gettime NLIB_CAPI(nlib_timer_gettime)
#define nlib_timer_delete NLIB_CAPI(nlib_timer_delete)
#define nlib_gen_random NLIB_CAPI(nlib_gen_random)
#define nlib_mempagesize NLIB_CAPI(nlib_mempagesize)
#define nlib_virtual_alloc NLIB_CAPI(nlib_virtual_alloc)
#define nlib_virtual_free NLIB_CAPI(nlib_virtual_free)
#define nlib_physical_alloc NLIB_CAPI(nlib_physical_alloc)
#define nlib_physical_free NLIB_CAPI(nlib_physical_free)
#define nlib_mlock NLIB_CAPI(nlib_mlock)
#define nlib_munlock NLIB_CAPI(nlib_munlock)
#define nlib_tls_alloc NLIB_CAPI(nlib_tls_alloc)
#define nlib_tls_free NLIB_CAPI(nlib_tls_free)
#define nlib_tls_setvalue NLIB_CAPI(nlib_tls_setvalue)
#define nlib_tls_getvalue NLIB_CAPI(nlib_tls_getvalue)
#define nlib_mutex_init NLIB_CAPI(nlib_mutex_init)
#define nlib_mutex_recursive_init NLIB_CAPI(nlib_mutex_recursive_init)
#define nlib_mutex_recursive_timed_init NLIB_CAPI(nlib_mutex_recursive_timed_init)
#define nlib_mutex_lock NLIB_CAPI(nlib_mutex_lock)
#define nlib_mutex_trylock NLIB_CAPI(nlib_mutex_trylock)
#define nlib_mutex_trylock_for NLIB_CAPI(nlib_mutex_trylock_for)
#define nlib_mutex_unlock NLIB_CAPI(nlib_mutex_unlock)
#define nlib_mutex_destroy NLIB_CAPI(nlib_mutex_destroy)
#define nlib_semaphore_init NLIB_CAPI(nlib_semaphore_init)
#define nlib_semaphore_wait NLIB_CAPI(nlib_semaphore_wait)
#define nlib_semaphore_trywait NLIB_CAPI(nlib_semaphore_trywait)
#define nlib_semaphore_trywait_for NLIB_CAPI(nlib_semaphore_trywait_for)
#define nlib_semaphore_post NLIB_CAPI(nlib_semaphore_post)
#define nlib_semaphore_post_ex NLIB_CAPI(nlib_semaphore_post_ex)
#define nlib_semaphore_destroy NLIB_CAPI(nlib_semaphore_destroy)
#define nlib_cond_init NLIB_CAPI(nlib_cond_init)
#define nlib_cond_signal NLIB_CAPI(nlib_cond_signal)
#define nlib_cond_broadcast NLIB_CAPI(nlib_cond_broadcast)
#define nlib_cond_wait NLIB_CAPI(nlib_cond_wait)
#define nlib_cond_wait_for NLIB_CAPI(nlib_cond_wait_for)
#define nlib_cond_wait_until NLIB_CAPI(nlib_cond_wait_until)
#define nlib_cond_destroy NLIB_CAPI(nlib_cond_destroy)
#define nlib_rwlock_init NLIB_CAPI(nlib_rwlock_init)
#define nlib_rwlock_destroy NLIB_CAPI(nlib_rwlock_destroy)
#define nlib_rwlock_rdlock NLIB_CAPI(nlib_rwlock_rdlock)
#define nlib_rwlock_tryrdlock NLIB_CAPI(nlib_rwlock_tryrdlock)
#define nlib_rwlock_tryrdlock_for NLIB_CAPI(nlib_rwlock_tryrdlock_for)
#define nlib_rwlock_tryrdlock_until NLIB_CAPI(nlib_rwlock_tryrdlock_until)
#define nlib_rwlock_rdunlock NLIB_CAPI(nlib_rwlock_rdunlock)
#define nlib_rwlock_wrlock NLIB_CAPI(nlib_rwlock_wrlock)
#define nlib_rwlock_trywrlock NLIB_CAPI(nlib_rwlock_trywrlock)
#define nlib_rwlock_trywrlock_for NLIB_CAPI(nlib_rwlock_trywrlock_for)
#define nlib_rwlock_trywrlock_until NLIB_CAPI(nlib_rwlock_trywrlock_until)
#define nlib_rwlock_wrunlock NLIB_CAPI(nlib_rwlock_wrunlock)
#define nlib_condrwlock_init NLIB_CAPI(nlib_condrwlock_init)
#define nlib_condrwlock_destroy NLIB_CAPI(nlib_condrwlock_destroy)
#define nlib_condrwlock_signal NLIB_CAPI(nlib_condrwlock_signal)
#define nlib_condrwlock_broadcast NLIB_CAPI(nlib_condrwlock_broadcast)
#define nlib_condrwlock_wait NLIB_CAPI(nlib_condrwlock_wait)
#define nlib_condrwlock_wait_for NLIB_CAPI(nlib_condrwlock_wait_for)
#define nlib_condrwlock_wait_until NLIB_CAPI(nlib_condrwlock_wait_until)
#define nlib_barrier_init NLIB_CAPI(nlib_barrier_init)
#define nlib_barrier_destroy NLIB_CAPI(nlib_barrier_destroy)
#define nlib_barrier_wait NLIB_CAPI(nlib_barrier_wait)
#define nlib_once NLIB_CAPI(nlib_once)
#define nlib_mq_open NLIB_CAPI(nlib_mq_open)
#define nlib_mq_getattr NLIB_CAPI(nlib_mq_getattr)
#define nlib_mq_close NLIB_CAPI(nlib_mq_close)
#define nlib_mq_readonly NLIB_CAPI(nlib_mq_readonly)
#define nlib_mq_send NLIB_CAPI(nlib_mq_send)
#define nlib_mq_send_until NLIB_CAPI(nlib_mq_send_until)
#define nlib_mq_receive NLIB_CAPI(nlib_mq_receive)
#define nlib_mq_receive_until NLIB_CAPI(nlib_mq_receive_until)
#define nlib_mq_drop NLIB_CAPI(nlib_mq_drop)
#define nlib_yield NLIB_CAPI(nlib_yield)
#define nlib_thread_create NLIB_CAPI(nlib_thread_create)
#define nlib_thread_join NLIB_CAPI(nlib_thread_join)
#define nlib_thread_detach NLIB_CAPI(nlib_thread_detach)
#define nlib_thread_self NLIB_CAPI(nlib_thread_self)
#define nlib_thread_getconcurrency NLIB_CAPI(nlib_thread_getconcurrency)
#define nlib_thread_getid NLIB_CAPI(nlib_thread_getid)
#define nlib_thread_equal NLIB_CAPI(nlib_thread_equal)
#define nlib_thread_getcpu NLIB_CAPI(nlib_thread_getcpu)
#define nlib_thread_setaffinity NLIB_CAPI(nlib_thread_setaffinity)
#define nlib_thread_setname NLIB_CAPI(nlib_thread_setname)
#define nlib_thread_getname NLIB_CAPI(nlib_thread_getname)
#define nlib_thread_attr_init NLIB_CAPI(nlib_thread_attr_init)
#define nlib_thread_attr_setint NLIB_CAPI(nlib_thread_attr_setint)
#define nlib_thread_attr_getint NLIB_CAPI(nlib_thread_attr_getint)
#define nlib_thread_attr_setptr NLIB_CAPI(nlib_thread_attr_setptr)
#define nlib_thread_attr_getptr NLIB_CAPI(nlib_thread_attr_getptr)
#define nlib_thread_attr_setstack NLIB_CAPI(nlib_thread_attr_setstack)
#define nlib_thread_attr_getstack NLIB_CAPI(nlib_thread_attr_getstack)
#define nlib_thread_attr_destroy NLIB_CAPI(nlib_thread_attr_destroy)
#define nlib_thread_getpriority NLIB_CAPI(nlib_thread_getpriority)
#define nlib_thread_setpriority NLIB_CAPI(nlib_thread_setpriority)
#define nlib_thread_priority_min NLIB_CAPI(nlib_thread_priority_min)
#define nlib_thread_priority_max NLIB_CAPI(nlib_thread_priority_max)
#define nlib_thread_priority_default NLIB_CAPI(nlib_thread_priority_default)
#define nlib_thread_exit NLIB_CAPI(nlib_thread_exit)
#define nlib_thread_exit_cpp NLIB_CAPI(nlib_thread_exit_cpp)
#define nlib_thread_cleanup_push_ NLIB_CAPI(nlib_thread_cleanup_push_)
#define nlib_thread_cleanup_pop_ NLIB_CAPI(nlib_thread_cleanup_pop_)
#define nlib_write_stdout NLIB_CAPI(nlib_write_stdout)
#define nlib_write_stderr NLIB_CAPI(nlib_write_stderr)
#define nlib_debug_break NLIB_CAPI(nlib_debug_break)
#define nlib_debug_backtrace NLIB_CAPI(nlib_debug_backtrace)
#define nlib_debug_backtrace_gettext NLIB_CAPI(nlib_debug_backtrace_gettext)
#define nlib_getenv NLIB_CAPI(nlib_getenv)
#define nlib_log_print NLIB_CAPI(nlib_log_print)
#define nlib_log_vprint NLIB_CAPI(nlib_log_vprint)
#define nlib_log_attr_setint NLIB_CAPI(nlib_log_attr_setint)
#define nlib_fd_open NLIB_CAPI(nlib_fd_open)
#define nlib_fd_close NLIB_CAPI(nlib_fd_close)
#define nlib_fd_read NLIB_CAPI(nlib_fd_read)
#define nlib_fd_write NLIB_CAPI(nlib_fd_write)
#define nlib_fd_seek NLIB_CAPI(nlib_fd_seek)
#define nlib_fd_pread NLIB_CAPI(nlib_fd_pread)
#define nlib_fd_pwrite NLIB_CAPI(nlib_fd_pwrite)
#define nlib_fd_truncate NLIB_CAPI(nlib_fd_truncate)
#define nlib_fd_getsize NLIB_CAPI(nlib_fd_getsize)
#define nlib_fd_flush NLIB_CAPI(nlib_fd_flush)
#define nlib_fd_sync NLIB_CAPI(nlib_fd_sync)
#define nlib_fd_native_handle NLIB_CAPI(nlib_fd_native_handle)
#define nlib_fd_readv NLIB_CAPI(nlib_fd_readv)
#define nlib_fd_writev NLIB_CAPI(nlib_fd_writev)
#define nlib_fd_preadv NLIB_CAPI(nlib_fd_preadv)
#define nlib_fd_pwritev NLIB_CAPI(nlib_fd_pwritev)
#define nlib_unlink NLIB_CAPI(nlib_unlink)
#define nlib_remove NLIB_CAPI(nlib_remove)
#define nlib_mkdir NLIB_CAPI(nlib_mkdir)
#define nlib_rmdir NLIB_CAPI(nlib_rmdir)
#define nlib_rename NLIB_CAPI(nlib_rename)
#define nlib_dir_open NLIB_CAPI(nlib_dir_open)
#define nlib_dir_close NLIB_CAPI(nlib_dir_close)
#define nlib_dir_read NLIB_CAPI(nlib_dir_read)
#define nlib_is_dir NLIB_CAPI(nlib_is_dir)
#define nlib_exist_path NLIB_CAPI(nlib_exist_path)
#define nlib_disk_freespace NLIB_CAPI(nlib_disk_freespace)
#define nlib_basename NLIB_CAPI(nlib_basename)
#define nlib_dirname NLIB_CAPI(nlib_dirname)
#define nlib_mkostemps NLIB_CAPI(nlib_mkostemps)
#define nlib_fd_fileid NLIB_CAPI(nlib_fd_fileid)
#define nlib_readlink NLIB_CAPI(nlib_readlink)
#define nlib_spinlock_lock_ NLIB_CAPI(nlib_spinlock_lock_)
#define nlib_spinlock_unlock_ NLIB_CAPI(nlib_spinlock_unlock_)
#define nlib_vsnprintf NLIB_CAPI(nlib_vsnprintf)
#define nlib_snprintf NLIB_CAPI(nlib_snprintf)
#define nlib_vdprintf NLIB_CAPI(nlib_vdprintf)
#define nlib_dprintf NLIB_CAPI(nlib_dprintf)
#define nlib_printf NLIB_CAPI(nlib_printf)
#define nlib_vsnwprintf NLIB_CAPI(nlib_vsnwprintf)
#define nlib_snwprintf NLIB_CAPI(nlib_snwprintf)
#define nlib_vdwprintf NLIB_CAPI(nlib_vdwprintf)
#define nlib_dwprintf NLIB_CAPI(nlib_dwprintf)
#define nlib_wprintf NLIB_CAPI(nlib_wprintf)
#define nlib_vsnprintf_fallback NLIB_CAPI(nlib_vsnprintf_fallback)
#define nlib_snprintf_fallback NLIB_CAPI(nlib_snprintf_fallback)
#define nlib_vsnwprintf_fallback NLIB_CAPI(nlib_vsnwprintf_fallback)
#define nlib_snwprintf_fallback NLIB_CAPI(nlib_snwprintf_fallback)
#define nlib_memcmp NLIB_CAPI(nlib_memcmp)
#define nlib_memchr NLIB_CAPI(nlib_memchr)
#define nlib_memrchr NLIB_CAPI(nlib_memrchr)
#define nlib_memchr_not NLIB_CAPI(nlib_memchr_not)
#define nlib_memchr_range_not NLIB_CAPI(nlib_memchr_range_not)
#define nlib_memchr_lt NLIB_CAPI(nlib_memchr_lt)
#define nlib_memchr_gt NLIB_CAPI(nlib_memchr_gt)
#define nlib_memchr_mb NLIB_CAPI(nlib_memchr_mb)
#define nlib_memspn NLIB_CAPI(nlib_memspn)
#define nlib_memcspn NLIB_CAPI(nlib_memcspn)
#define nlib_memccpy NLIB_CAPI(nlib_memccpy)
#define nlib_skipws NLIB_CAPI(nlib_skipws)
#define nlib_strlen NLIB_CAPI(nlib_strlen)
#define nlib_strnlen NLIB_CAPI(nlib_strnlen)
#define nlib_strcpy NLIB_CAPI(nlib_strcpy)
#define nlib_strncpy NLIB_CAPI(nlib_strncpy)
#define nlib_strchr NLIB_CAPI(nlib_strchr)
#define nlib_strrchr NLIB_CAPI(nlib_strrchr)
#define nlib_strchr_mb NLIB_CAPI(nlib_strchr_mb)
#define nlib_wcslen NLIB_CAPI(nlib_wcslen)
#define nlib_wcsnlen NLIB_CAPI(nlib_wcsnlen)
#define nlib_wcscpy NLIB_CAPI(nlib_wcscpy)
#define nlib_wcsncpy NLIB_CAPI(nlib_wcsncpy)
#define nlib_strcat NLIB_CAPI(nlib_strcat)
#define nlib_strncat NLIB_CAPI(nlib_strncat)
#define nlib_wcscat NLIB_CAPI(nlib_wcscat)
#define nlib_wcsncat NLIB_CAPI(nlib_wcsncat)
#define nlib_strto_int8 NLIB_CAPI(nlib_strto_int8)
#define nlib_strto_int16 NLIB_CAPI(nlib_strto_int16)
#define nlib_strto_int32 NLIB_CAPI(nlib_strto_int32)
#define nlib_strto_int64 NLIB_CAPI(nlib_strto_int64)
#define nlib_strto_uint8 NLIB_CAPI(nlib_strto_uint8)
#define nlib_strto_uint16 NLIB_CAPI(nlib_strto_uint16)
#define nlib_strto_uint32 NLIB_CAPI(nlib_strto_uint32)
#define nlib_strto_uint64 NLIB_CAPI(nlib_strto_uint64)
#define nlib_strto_double NLIB_CAPI(nlib_strto_double)
#define nlib_strto_float NLIB_CAPI(nlib_strto_float)
#define nlib_strto_int32_fallback NLIB_CAPI(nlib_strto_int32_fallback)
#define nlib_strto_int64_fallback NLIB_CAPI(nlib_strto_int64_fallback)
#define nlib_strto_uint32_fallback NLIB_CAPI(nlib_strto_uint32_fallback)
#define nlib_strto_uint64_fallback NLIB_CAPI(nlib_strto_uint64_fallback)
#define nlib_strto_double_fallback NLIB_CAPI(nlib_strto_double_fallback)
#define nlib_strto_float_fallback NLIB_CAPI(nlib_strto_float_fallback)
#define nlib_int8_from_chars NLIB_CAPI(nlib_int8_from_chars)
#define nlib_int16_from_chars NLIB_CAPI(nlib_int16_from_chars)
#define nlib_int32_from_chars NLIB_CAPI(nlib_int32_from_chars)
#define nlib_int64_from_chars NLIB_CAPI(nlib_int64_from_chars)
#define nlib_uint8_from_chars NLIB_CAPI(nlib_uint8_from_chars)
#define nlib_uint16_from_chars NLIB_CAPI(nlib_uint16_from_chars)
#define nlib_uint32_from_chars NLIB_CAPI(nlib_uint32_from_chars)
#define nlib_uint64_from_chars NLIB_CAPI(nlib_uint64_from_chars)
#define nlib_double_from_chars NLIB_CAPI(nlib_double_from_chars)
#define nlib_float_from_chars NLIB_CAPI(nlib_float_from_chars)
#define nlib_wide_to_utf8 NLIB_CAPI(nlib_wide_to_utf8)
#define nlib_utf8_to_wide NLIB_CAPI(nlib_utf8_to_wide)
#define nlib_strcplen NLIB_CAPI(nlib_strcplen)
#define nlib_memcplen NLIB_CAPI(nlib_memcplen)
#define nlib_wcscplen NLIB_CAPI(nlib_wcscplen)
#define nlib_swapendian_16 NLIB_CAPI(nlib_swapendian_16)
#define nlib_swapendian_32 NLIB_CAPI(nlib_swapendian_32)
#define nlib_swapendian_64 NLIB_CAPI(nlib_swapendian_64)
#define nlib_malloc NLIB_CAPI(nlib_malloc)
#define nlib_free NLIB_CAPI(nlib_free)
#define nlib_calloc NLIB_CAPI(nlib_calloc)
#define nlib_realloc NLIB_CAPI(nlib_realloc)
#define nlib_malloc_size NLIB_CAPI(nlib_malloc_size)
#define nlib_free_size NLIB_CAPI(nlib_free_size)
#define nlib_free_size_ NLIB_CAPI(nlib_free_size_)
#define nlib_memalign NLIB_CAPI(nlib_memalign)

#define nlib_utf16cplen_ex_ NLIB_CAPI(nlib_utf16cplen_ex_)
#define nlib_utf16cpy_ NLIB_CAPI(nlib_utf16cpy_)
#define nlib_utf16len_ NLIB_CAPI(nlib_utf16len_)
#define nlib_utf16ncpy_ NLIB_CAPI(nlib_utf16ncpy_)
#define nlib_utf16nlen_ NLIB_CAPI(nlib_utf16nlen_)
#define nlib_utf16_to_utf32char NLIB_CAPI(nlib_utf16_to_utf32char)
#define nlib_utf16_to_utf8 NLIB_CAPI(nlib_utf16_to_utf8)
#define nlib_utf32char_to_utf16 NLIB_CAPI(nlib_utf32char_to_utf16)
#define nlib_utf32char_to_utf8 NLIB_CAPI(nlib_utf32char_to_utf8)
#define nlib_utf32cplen NLIB_CAPI(nlib_utf32cplen)
#define nlib_utf32cpy_ NLIB_CAPI(nlib_utf32cpy_)
#define nlib_utf32len_ NLIB_CAPI(nlib_utf32len_)
#define nlib_utf32ncpy_ NLIB_CAPI(nlib_utf32ncpy_)
#define nlib_utf32nlen_ NLIB_CAPI(nlib_utf32nlen_)
#define nlib_utf32_to_utf8 NLIB_CAPI(nlib_utf32_to_utf8)
#define nlib_utf8_to_utf16 NLIB_CAPI(nlib_utf8_to_utf16)
#define nlib_utf8_to_utf32 NLIB_CAPI(nlib_utf8_to_utf32)
#define nlib_utf8_to_utf32char NLIB_CAPI(nlib_utf8_to_utf32char)
#define nlib_memutf8_to_utf16 NLIB_CAPI(nlib_memutf8_to_utf16)
#define nlib_memutf8_to_utf32 NLIB_CAPI(nlib_memutf8_to_utf32)
#define nlib_memutf16_to_utf8 NLIB_CAPI(nlib_memutf16_to_utf8)
#define nlib_memutf32_to_utf8 NLIB_CAPI(nlib_memutf32_to_utf8)
#define nlib_memutf8_to_wide NLIB_CAPI(nlib_memutf8_to_wide)
#define nlib_memwide_to_utf8 NLIB_CAPI(nlib_memwide_to_utf8)

#define nlib_socket NLIB_CAPI(nlib_socket)
#define nlib_bind NLIB_CAPI(nlib_bind)
#define nlib_listen NLIB_CAPI(nlib_listen)
#define nlib_accept NLIB_CAPI(nlib_accept)
#define nlib_accept_for NLIB_CAPI(nlib_accept_for)
#define nlib_connect NLIB_CAPI(nlib_connect)
#define nlib_connect_for NLIB_CAPI(nlib_connect_for)
#define nlib_send NLIB_CAPI(nlib_send)
#define nlib_sendto NLIB_CAPI(nlib_sendto)
#define nlib_sendmsg NLIB_CAPI(nlib_sendmsg)
#define nlib_recv NLIB_CAPI(nlib_recv)
#define nlib_recvfrom NLIB_CAPI(nlib_recvfrom)
#define nlib_recvmsg NLIB_CAPI(nlib_recvmsg)
#define nlib_closesocket NLIB_CAPI(nlib_closesocket)
#define nlib_shutdownsocket NLIB_CAPI(nlib_shutdownsocket)
#define nlib_inet_pton NLIB_CAPI(nlib_inet_pton)
#define nlib_inet_ntop NLIB_CAPI(nlib_inet_ntop)
#define nlib_getaddrinfo NLIB_CAPI(nlib_getaddrinfo)
#define nlib_freeaddrinfo NLIB_CAPI(nlib_freeaddrinfo)
#define nlib_getsockopt NLIB_CAPI(nlib_getsockopt)
#define nlib_setsockopt NLIB_CAPI(nlib_setsockopt)
#define nlib_select NLIB_CAPI(nlib_select)
#define nlib_poll NLIB_CAPI(nlib_poll)
#define nlib_getnameinfo NLIB_CAPI(nlib_getnameinfo)
#define nlib_getsockname NLIB_CAPI(nlib_getsockname)
#define nlib_getpeername NLIB_CAPI(nlib_getpeername)
#define nlib_setnonblocking NLIB_CAPI(nlib_setnonblocking)

// not in the public header
#define nlib_utf8_nbytes_table NLIB_CAPI(nlib_utf8_nbytes_table)
#define nlib_hex_char_table NLIB_CAPI(nlib_hex_char_table)
#define nlib_memcmp_generic NLIB_CAPI(nlib_memcmp_generic)
#define nlib_memchr_generic NLIB_CAPI(nlib_memchr_generic)
#define nlib_memrchr_generic NLIB_CAPI(nlib_memrchr_generic)
#define nlib_memchr_not_generic NLIB_CAPI(nlib_memchr_not_generic)
#define nlib_memchr_range_not_generic NLIB_CAPI(nlib_memchr_range_not_generic)
#define nlib_memchr_lt_generic NLIB_CAPI(nlib_memchr_lt_generic)
#define nlib_memchr_gt_generic NLIB_CAPI(nlib_memchr_gt_generic)
#define nlib_memchr_mb_generic NLIB_CAPI(nlib_memchr_mb_generic)
#define nlib_strlen_generic NLIB_CAPI(nlib_strlen_generic)
#define nlib_skipws_generic NLIB_CAPI(nlib_skipws_generic)
#define nlib_strnlen_generic NLIB_CAPI(nlib_strnlen_generic)
#define nlib_strchr_generic NLIB_CAPI(nlib_strchr_generic)
#define nlib_strrchr_generic NLIB_CAPI(nlib_strrchr_generic)
#define nlib_swapendian_16_generic NLIB_CAPI(nlib_swapendian_16_generic)
#define nlib_swapendian_32_generic NLIB_CAPI(nlib_swapendian_32_generic)
#define nlib_swapendian_64_generic NLIB_CAPI(nlib_swapendian_64_generic)
#define nlib_utf16len_generic NLIB_CAPI(nlib_utf16len_generic)
#define nlib_utf16nlen_generic NLIB_CAPI(nlib_utf16nlen_generic)
#define nlib_utf32len_generic NLIB_CAPI(nlib_utf32len_generic)
#define nlib_utf32nlen_generic NLIB_CAPI(nlib_utf32nlen_generic)
#define nlib_utf16cplen_ex_generic NLIB_CAPI(nlib_utf16cplen_ex_generic)
#define nlib_fd_impl NLIB_CAPI(nlib_fd_impl)

#define utf16chr_mb_simd NLIB_CAPI(utf16chr_mb_simd)
#define nlib_strchr_simd NLIB_CAPI(nlib_strchr_simd)
#define nlib_strrchr_simd NLIB_CAPI(nlib_strrchr_simd)
#define nlib_memchr_simd NLIB_CAPI(nlib_memchr_simd)
#define nlib_memrchr_simd NLIB_CAPI(nlib_memrchr_simd)
#define nlib_memchr_not_simd NLIB_CAPI(nlib_memchr_not_simd)
#define nlib_memchr_range_not_simd NLIB_CAPI(nlib_memchr_range_not_simd)
#define nlib_memchr_lt_simd NLIB_CAPI(nlib_memchr_lt_simd)
#define nlib_memchr_gt_simd NLIB_CAPI(nlib_memchr_gt_simd)
#define nlib_memchr_mb_simd NLIB_CAPI(nlib_memchr_mb_simd)
#define nlib_skipws_simd NLIB_CAPI(nlib_skipws_simd)
#define nlib_strlen_simd NLIB_CAPI(nlib_strlen_simd)
#define nlib_strnlen_simd NLIB_CAPI(nlib_strnlen_simd)
#define nlib_utf16len_simd NLIB_CAPI(nlib_utf16len_simd)
#define nlib_utf16nlen_simd NLIB_CAPI(nlib_utf16nlen_simd)
#define nlib_utf16cplen_ex_simd NLIB_CAPI(nlib_utf16cplen_ex_simd)
#define nlib_memcmp_simd NLIB_CAPI(nlib_memcmp_simd)
#define nlib_swapendian_16_simd NLIB_CAPI(nlib_swapendian_16_simd)
#define nlib_swapendian_32_simd NLIB_CAPI(nlib_swapendian_32_simd)
#define nlib_swapendian_64_simd NLIB_CAPI(nlib_swapendian_64_simd)

#ifdef __NX__
#define nlib_mount_host_nx NLIB_CAPI(nlib_mount_host_nx)
#endif

#endif  // INCLUDE_NN_NLIB_PLATFORM_RENAME_H_
