﻿
/*--------------------------------------------------------------------------------*
  Project: CrossRoad
  Copyright (C)Nintendo All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *--------------------------------------------------------------------------------*/

#pragma once
#ifndef INCLUDE_NN_NLIB_UNICODE_UNICODENORMALIZER_H_
#define INCLUDE_NN_NLIB_UNICODE_UNICODENORMALIZER_H_

#include "nn/nlib/Config.h"

NLIB_NAMESPACE_BEGIN

class InputStream;
class OutputStream;
class TextWriter;

namespace unicode {

class NLIB_VIS_PUBLIC UnicodeNormalizer NLIB_FINAL {
 public:
    enum NormalizationForm {
        kNfc,
        kNfd,
        kNfkc,
        kNfkd,
        NFC = kNfc,
        NFD = kNfd,
        NFKC = kNfkc,
        NFKD = kNfkd
    };
    static errno_t Normalize(InputStream* istr, OutputStream* ostr, NormalizationForm form);

    static void DumpTable(TextWriter* w);                             // for debug
    static uint32_t CheckTable(const uint32_t* data, size_t nwords);  // for test
    static bool CheckNormalizationTxt(const uint32_t* data);          // for test
};

}  // namespace unicode
NLIB_NAMESPACE_END

#endif  // INCLUDE_NN_NLIB_UNICODE_UNICODENORMALIZER_H_
